TASKSET(1)

BEZEICHNUNG
taskset - den CPU-Bezug eines Prozesses ermitteln oder festlegen

ÜBERSICHT
taskset [Optionen] Maske Befehl [Argument] …
taskset [Optionen] -p [Maske] PID

BESCHREIBUNG

taskset wird zum Ermitteln oder Festlegen des CPU-Bezugs eines laufenden Prozesses verwendet, entweder durch Angabe der Prozesskennung (PID) oder durch Ausführen eines neuen Befehls mit dem angegebenen CPU-Bezug. Der CPU-Bezug ist eine Scheduler-Eigenschaft, die einen Prozess an eine gegebene CPU-Gruppe des Systems »bindet«. Der Linux-Scheduler respektiert den angegebenen CPU-Bezug, so dass der Prozess nicht auf irgend einer anderen CPU ausgeführt wird. Beachten Sie, dass der Scheduler auch den natürlichen CPU-Bezug unterstützt: der Scheduler versucht, Prozesse auf der gleichen CPU zu halten, solange es aus Leistungsgründen praktisch ist. Daher ist das Erzwingen eines spezifischen CPU-Bezugs nur in bestimmten Anwendungsfällen sinnvoll.

Der CPU-Bezug wird in Form einer Bitmaske dargestellt, mit dem niedrigstwertigen Bit für die erste und dem höchstwertigen für die letzte logische CPU. Es müssen nicht alle CPUs auf einem System vorhanden sein, aber eine Maske kann mehr CPUs enthalten, als verfügbar sind. Eine ermittelte Bitmaske bildet nur jene CPUs ab, die tatsächlich physisch auf dem System vorhanden sind. Falls eine ungültige Maske angegeben wird (für die keine passenden CPUs auf dem System gefunden wurden), wird ein Fehler zurückgegeben. Die Masken werden typischerweise hexadezimal angegeben. Zum Beispiel

0x00000001
    ist Prozessor #0

0x00000003
    sind die Prozessoren #0 und #1

0xFFFFFFFF
    sind alle Prozessoren (#0 bis #31).

Wenn taskset etwas zurückgibt, dann ist garantiert, dass das gegebene Programm einer gültigen CPU zugeordnet wurde.

OPTIONEN

-a, --all-tasks
    setzt oder ermittelt den CPU-Bezug aller Prozesse (Threads) für eine gegebene Prozesskennung (PID).

-p, --pid
    verwendet eine vorhandene Prozesskennung (PID), anstatt einen neuen Prozess zu starten.

-c, --cpu-list
    gibt eine numerische Prozessorliste anstelle einer Bitmaske an. Die Nummern sind durch Kommata getrennt und dürfen Bereichsangaben enthalten. Beispiel: 0,5,7,9-11.

-h, --help
    zeigt eine Hilfe an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

VERWENDUNG

Per Vorgabe wird ein neuer Befehl mit der gegebenen Bezugsmaske ausgeführt:
    taskset Maske Befehl [Argumente]

Sie können auch den CPU-Bezug eines existierenden Prozesses ermitteln:
    taskset -p PID

oder ihn festlegen:
    taskset -p Maske PID

ZUGRIFFSRECHTE
Ein Benutzer muss über CAP_SYS_NICE verfügen, um den CPU-Bezug eines Prozesses zu ändern. Die Ermittlung der Bezugsmaske ist allen Benutzern erlaubt.

AUTOR
Geschrieben von Robert M. Love.

COPYRIGHT
Copyright © 2004 Robert M. Love
Dies ist freie Software, in den Quellen finden Sie die Bedingungen zur Weitergabe. Es gibt keine Garantie, auch nicht für die MARKTREIFE oder die TAUGLICHKEIT FÜR EINEN BESTIMMTEN ZWECK.

SIEHE AUCH
chrt(1), nice(1), renice(1), sched_setaffinity(2), sched_getaffinity(2)

In sched_setscheduler(2) finden Sie eine Beschreibung des Scheduling-Schemas in Linux.

VERFÜGBARKEIT
Der Befehl taskset ist Teil des Pakets util-linux und kann von ftp://ftp.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.